> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subaccounts



## OpenAPI

````yaml openapi.json get /subaccount
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /subaccount:
    parameters: []
    get:
      tags:
        - Subaccounts
      summary: List Subaccounts
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '630'
            ETag:
              schema:
                type: string
              example: W/"276-MvkNMmjPIaLCi23VI795yZAsCDo"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Thu, 25 Jul 2024 21:51:49 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: List Subaccounts - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      subaccounts:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            status:
                              type: string
                            bankCode:
                              type: string
                              format: color
                            percentage:
                              type: integer
                            bankName:
                              type: string
                            accountNumber:
                              type: string
                              format: utc-millisec
                            accountName:
                              type: string
                            contactName:
                              nullable: true
                            createdAt:
                              type: string
                              format: date-time
                      perPage:
                        type: integer
                      currentPage:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
              example:
                status: true
                data:
                  subaccounts:
                    - id: f16aee43-f1d5-43d7-8f0f-29acf85202bd
                      name: Ridwan Store
                      status: ACTIVE
                      bankCode: '000013'
                      percentage: 10
                      bankName: GTBANK PLC
                      accountNumber: '0928374732'
                      accountName: SIMI MICHELLE
                      contactName: null
                      createdAt: '2024-07-25T21:49:53.202Z'
                    - id: 8ddf478e-d849-4519-add2-67c67d9db4de
                      name: Abraham Store
                      status: ACTIVE
                      bankCode: '000013'
                      percentage: 25
                      bankName: GTBANK PLC
                      accountNumber: '0928374733'
                      accountName: SIMI MICHELLE
                      contactName: null
                      createdAt: '2024-07-25T21:27:05.759Z'
                  perPage: 50
                  currentPage: 1
                  totalRecords: 2
                  totalPages: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````